import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { PurchaseReservedElasticsearchInstanceOfferingInput } from "../types/PurchaseReservedElasticsearchInstanceOfferingInput";
import { PurchaseReservedElasticsearchInstanceOfferingOutput } from "../types/PurchaseReservedElasticsearchInstanceOfferingOutput";
import { ElasticsearchServiceResolvedConfiguration } from "../ElasticsearchServiceConfiguration";
export * from "../types/PurchaseReservedElasticsearchInstanceOfferingInput";
export * from "../types/PurchaseReservedElasticsearchInstanceOfferingOutput";
export * from "../types/PurchaseReservedElasticsearchInstanceOfferingExceptionsUnion";
export declare class PurchaseReservedElasticsearchInstanceOfferingCommand implements __aws_sdk_types.Command<InputTypesUnion, PurchaseReservedElasticsearchInstanceOfferingInput, OutputTypesUnion, PurchaseReservedElasticsearchInstanceOfferingOutput, ElasticsearchServiceResolvedConfiguration, Blob> {
    readonly input: PurchaseReservedElasticsearchInstanceOfferingInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<PurchaseReservedElasticsearchInstanceOfferingInput, PurchaseReservedElasticsearchInstanceOfferingOutput, Blob>;
    constructor(input: PurchaseReservedElasticsearchInstanceOfferingInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ElasticsearchServiceResolvedConfiguration): __aws_sdk_types.Handler<PurchaseReservedElasticsearchInstanceOfferingInput, PurchaseReservedElasticsearchInstanceOfferingOutput>;
}
