"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetUpgradeStatusInput_1 = require("../shapes/GetUpgradeStatusInput");
var GetUpgradeStatusOutput_1 = require("../shapes/GetUpgradeStatusOutput");
var BaseException_1 = require("../shapes/BaseException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var DisabledOperationException_1 = require("../shapes/DisabledOperationException");
var ValidationException_1 = require("../shapes/ValidationException");
var InternalException_1 = require("../shapes/InternalException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetUpgradeStatus = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetUpgradeStatus",
    http: {
        method: "GET",
        requestUri: "/2015-01-01/es/upgradeDomain/{DomainName}/status"
    },
    input: {
        shape: GetUpgradeStatusInput_1.GetUpgradeStatusInput
    },
    output: {
        shape: GetUpgradeStatusOutput_1.GetUpgradeStatusOutput
    },
    errors: [
        {
            shape: BaseException_1.BaseException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: DisabledOperationException_1.DisabledOperationException
        },
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: InternalException_1.InternalException
        }
    ]
};
//# sourceMappingURL=GetUpgradeStatus.js.map