"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListDomainNamesInput_1 = require("../shapes/ListDomainNamesInput");
var ListDomainNamesOutput_1 = require("../shapes/ListDomainNamesOutput");
var BaseException_1 = require("../shapes/BaseException");
var ValidationException_1 = require("../shapes/ValidationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListDomainNames = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListDomainNames",
    http: {
        method: "GET",
        requestUri: "/2015-01-01/domain"
    },
    input: {
        shape: ListDomainNamesInput_1.ListDomainNamesInput
    },
    output: {
        shape: ListDomainNamesOutput_1.ListDomainNamesOutput
    },
    errors: [
        {
            shape: BaseException_1.BaseException
        },
        {
            shape: ValidationException_1.ValidationException
        }
    ]
};
//# sourceMappingURL=ListDomainNames.js.map