"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var StartElasticsearchServiceSoftwareUpdateInput_1 = require("../shapes/StartElasticsearchServiceSoftwareUpdateInput");
var StartElasticsearchServiceSoftwareUpdateOutput_1 = require("../shapes/StartElasticsearchServiceSoftwareUpdateOutput");
var BaseException_1 = require("../shapes/BaseException");
var InternalException_1 = require("../shapes/InternalException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var ValidationException_1 = require("../shapes/ValidationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.StartElasticsearchServiceSoftwareUpdate = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "StartElasticsearchServiceSoftwareUpdate",
    http: {
        method: "POST",
        requestUri: "/2015-01-01/es/serviceSoftwareUpdate/start"
    },
    input: {
        shape: StartElasticsearchServiceSoftwareUpdateInput_1.StartElasticsearchServiceSoftwareUpdateInput
    },
    output: {
        shape: StartElasticsearchServiceSoftwareUpdateOutput_1.StartElasticsearchServiceSoftwareUpdateOutput
    },
    errors: [
        {
            shape: BaseException_1.BaseException
        },
        {
            shape: InternalException_1.InternalException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ValidationException_1.ValidationException
        }
    ]
};
//# sourceMappingURL=StartElasticsearchServiceSoftwareUpdate.js.map