import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeReservedElasticsearchInstanceOfferingsInput } from "../types/DescribeReservedElasticsearchInstanceOfferingsInput";
import { DescribeReservedElasticsearchInstanceOfferingsOutput } from "../types/DescribeReservedElasticsearchInstanceOfferingsOutput";
import { ElasticsearchServiceResolvedConfiguration } from "../ElasticsearchServiceConfiguration";
export * from "../types/DescribeReservedElasticsearchInstanceOfferingsInput";
export * from "../types/DescribeReservedElasticsearchInstanceOfferingsOutput";
export * from "../types/DescribeReservedElasticsearchInstanceOfferingsExceptionsUnion";
export declare class DescribeReservedElasticsearchInstanceOfferingsCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeReservedElasticsearchInstanceOfferingsInput, OutputTypesUnion, DescribeReservedElasticsearchInstanceOfferingsOutput, ElasticsearchServiceResolvedConfiguration, Blob> {
    readonly input: DescribeReservedElasticsearchInstanceOfferingsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeReservedElasticsearchInstanceOfferingsInput, DescribeReservedElasticsearchInstanceOfferingsOutput, Blob>;
    constructor(input: DescribeReservedElasticsearchInstanceOfferingsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ElasticsearchServiceResolvedConfiguration): __aws_sdk_types.Handler<DescribeReservedElasticsearchInstanceOfferingsInput, DescribeReservedElasticsearchInstanceOfferingsOutput>;
}
