"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetCompatibleElasticsearchVersions_1 = require("../model/operations/GetCompatibleElasticsearchVersions");
var GetCompatibleElasticsearchVersionsCommand = /** @class */ (function () {
    function GetCompatibleElasticsearchVersionsCommand(input) {
        this.input = input;
        this.model = GetCompatibleElasticsearchVersions_1.GetCompatibleElasticsearchVersions;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetCompatibleElasticsearchVersionsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetCompatibleElasticsearchVersionsCommand;
}());
exports.GetCompatibleElasticsearchVersionsCommand = GetCompatibleElasticsearchVersionsCommand;
//# sourceMappingURL=GetCompatibleElasticsearchVersionsCommand.js.map