"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListElasticsearchInstanceTypes_1 = require("../model/operations/ListElasticsearchInstanceTypes");
var ListElasticsearchInstanceTypesCommand = /** @class */ (function () {
    function ListElasticsearchInstanceTypesCommand(input) {
        this.input = input;
        this.model = ListElasticsearchInstanceTypes_1.ListElasticsearchInstanceTypes;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListElasticsearchInstanceTypesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListElasticsearchInstanceTypesCommand;
}());
exports.ListElasticsearchInstanceTypesCommand = ListElasticsearchInstanceTypesCommand;
//# sourceMappingURL=ListElasticsearchInstanceTypesCommand.js.map